package com.ss.android.ugc.aweme.im.sdk.common.data.manager.base;

import X.0Fd;
import X.0G7;
import X.C0663IPm;
import X.FJZ;
import X.IP8;
import X.LeS;
import X.Rhq;
import X.Rhr;
import X.RiZ;
import X.Ric;
import X.Rid;
import com.bytedance.covode.number.Covode;
import java.util.List;

public abstract class IMDatabase extends 0G7 {
    public static IMDatabase LJIIJ;
    public static final Object LJIIJJI = new Object();
    public static final List<0Fd> LJIIL;
    public static final List<0Fd> LJIILIIL;
    public static final FJZ LJIILJJIL = new FJZ((byte) 0);

    public abstract IP8 LJIIIIZZ();

    public abstract C0663IPm LJIIIZ();

    static {
        Covode.recordClassIndex(86232);
        List<0Fd> LIZIZ = LeS.LIZIZ(new 0Fd[]{Rhr.LIZJ, Rhq.LIZJ, RiZ.LIZJ, Ric.LIZJ, Rid.LIZJ});
        LJIIL = LIZIZ;
        LJIILIIL = LIZIZ;
    }
}
